Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.resolver.xml.helper
Class ResettableContentHandlerAdapter

    java.lang.Object
      com.ibm.portal.resolver.xml.helper.LeafContentHandler
          com.ibm.portal.resolver.xml.helper.ResettableContentHandlerAdapter

All Implemented Interfaces:
  ResettableContentHandler, org.xml.sax.ContentHandler

    public class ResettableContentHandlerAdapter

extends LeafContentHandler

Base class for elements of a `ResettableContentHandler` chain that simply delegates all method calls to the next element in the chain . This class is intended to be used as the base class for custom implementations.

Since:
  6.0.1

Constructor Summary
`ResettableContentHandlerAdapter(ResettableContentHandler aDelegate)` Initialize the chain

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()`
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`

Methods inherited from class com.ibm.portal.resolver.xml.helper.LeafContentHandler
`box, characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResettableContentHandlerAdapter

    public ResettableContentHandlerAdapter(ResettableContentHandler aDelegate)

  Initialize the chain

  Parameters:
    `aDelegate` -

Method Detail

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Overrides:
    `getContentHandler` in class `LeafContentHandler`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Overrides:
    `setContentHandler` in class `LeafContentHandler`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD